%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pickleshare
Version:       0.7.5
Release:       3mamba
Summary:       A small 'shelve' like datastore with concurrency support
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/pickleshare/
Source:        https://pypi.debian.net/pickleshare/pickleshare-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pickleshare-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Wed Apr 05 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.5-3mamba
- rebuilt with python 3.10

* Sun Feb 13 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.5-2mamba
- rebuilt with distdeps

* Thu Dec 31 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.5-1mamba
- package created using the webbuild interface
